export interface RespiratoryMissionViewModel {
  id: string;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}

export interface RespiratoryMissionStatisticsViewModel {
  id: string;
  salutation: string;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  todayAge: number;
  ageThisYear: number;
  exactAge: string;
}

export interface CreateRespiratoryMissionViewModel {
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}

export interface UpdateRespiratoryMissionViewModel {
  id: string;
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}
