export interface RespiratoryWearerViewModel {
  id: string;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}

export interface RespiratoryWearerStatisticsViewModel {
  id: string;
  salutation: string;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  todayAge: number;
  ageThisYear: number;
  exactAge: string;
}

export interface CreateRespiratoryWearerViewModel {
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}

export interface UpdateRespiratoryWearerViewModel {
  id: string;
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}
